Batch Asynchronous Search API
“I want to submit a batch of multiple searches at once to Minerva in an asynchronous way so that I can query the long running job later.”
“I want to submit large volumes of searches at once and query the results overnight to update my systems.”
The search endpoint submits a search job and returns a job id which should be used to check on the status of the search. The search is performed in real-time and queries a combination of Minerva internal data as well as open web data.
Performance: The average completion time of a Minerva search varies based on the feeds requested. A full EDD search, which includes all Minerva feeds, usually completes within 45 seconds. For Sanctions and PEP searches, the search time is often in the 300 millisecond to 3 second range.
Matching Algorithm: All parameters are matched softly against the database, using the Minerva scoring algorithm. This means that searches for “Male” gender will not necessarily exclude “Female” results if other criteria match strongly enough to the requested parameters. The same is true for geography parameters, where results from nearby cities/states may be returned if enough other criteria match strongly.
Note: This is the batch asynchronous search API endpoint, which is best used for longer running jobs that include lists of multiple searches at once. Obtaining the search results from this endpoint requires storing the job id to query later, or to poll until completion. If your intent is to submit a search for a single profile at a time and obtain the results for those searches immediately, then it would be better to apply the synchronous search API.
New: potential matches in this job’s completed rows can include Automatic Disposition annotations - see the Batch Search Results response fields and the Automatic Disposition Guide.
Adverse media risk categories configuration
WhenNews is included in feeds, use requests[].global_filters.adverse_media_risk_categories to replace the workspace’s Direct API category set for an individual entity in the batch. Each request object may use a different set. Send raw category keys from the request schema; an empty array disables every category for that entity. Omit the field to use workspace configuration. See Adverse Media Categories for category definitions, defaults, and precedence.Authorizations
The Minerva API key used for this integration. Manage API keys in the Minerva dashboard under Administration > Developers.
Headers
Opts this search request out of Automatic Disposition. The header only has an effect when your organization has been opted into Automatic Disposition and an administrator has enabled it with the Direct API channel turned on in the workspace of the Application whose API key you are using; otherwise it is inert and the search behaves as if the feature is off. Send the value skip (matched case-insensitively) to leave every returned match unresolved even when the feature is enabled for the workspace. Other values are ignored.
skip "skip"
Body
A list of JSON objects, each object corresponding to a single individual or entity in the batch.
The allowed values for MinervaAI search feeds in the request. Provide one or a combination of the feed names, or the "all" value, which will automatically engage all the available search feeds.
all, Sanctions, PEP, Criminal, Legal, Offshore, Ownership, Registries, Social Media, News, Open Source Response
Requests successfully submitted. Returns a job ID that should be used with the /searchStatus endpoint to check on the status of the search and retrieve results when complete.
Automatic Disposition (New): when the workspace that owns your API application has Automatic Disposition enabled with the Direct API channel turned on, screened potential matches are analyzed before each row completes (a few seconds per screened entity) and carry automatic_disposition or disposition_hint annotations when you retrieve the results with POST /v1/searchStatus or GET /v1/search/{jobid}. Send the X-Minerva-Automatic-Disposition: skip header with this submission to opt every row in the job out (inert unless the feature is enabled for the workspace).